> For the complete documentation index, see [llms.txt](https://docs.bullcredtech.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bullcredtech.com/api-reference/apis-en/proposal-flow/post-proposals-contact.md).

# 2. Send contact

**POST** `/proposals/{proposalId}/contact`

Adds contact information to the proposal and sends an SMS token to validate the phone number.

## URL Parameters

| Parameter    | Type          | Description                    |
| ------------ | ------------- | ------------------------------ |
| `proposalId` | string (UUID) | Proposal ID returned in step 1 |

## Request Body

| Field   | Type   | Required | Description             | Example                    |
| ------- | ------ | :------: | ----------------------- | -------------------------- |
| `email` | string |    Yes   | Customer email          | `"lucas@bullcredtech.com"` |
| `phone` | string |    Yes   | Phone with country code | `"+5511991818065"`         |

### Phone format

* **Brazil**: `+55` + `Area code (2 digits)` + `Number (9 digits)`
* **Example**: `+5511991818065` (`+55` Brazil, `11` SP, `991818065` number)

## Request Example

```json
{
  "email": "lucas@bullcredtech.com",
  "phone": "+5511991818065"
}
```

## Success Response (201 Created)

```json
{
  "message": "SMS token sent successfully",
  "phone": "+5511991818065",
  "expires_at": "2025-10-13T20:49:55.079Z"
}
```

### Response Fields

| Field        | Type              | Description                            |
| ------------ | ----------------- | -------------------------------------- |
| `message`    | string            | Confirmation message                   |
| `phone`      | string            | Phone number to which the SMS was sent |
| `expires_at` | string (ISO 8601) | Token expiration date/time (5 minutes) |

## Possible Errors

| Code | Message                                                     |
| ---- | ----------------------------------------------------------- |
| 400  | Invalid email or phone number                               |
| 404  | Proposal not found                                          |
| 409  | This phone number is already being used in another proposal |

## Notes

* The SMS token consists of **6 digits** numeric
* The token expires after **5 minutes** (check the field `expires_at`)
* The phone number must be a valid mobile number capable of receiving SMS

### Resend Options

If the client does not receive the SMS or the token expires, use one of the resend endpoints:

| Endpoint                                                                                                            | Description                       |
| ------------------------------------------------------------------------------------------------------------------- | --------------------------------- |
| [POST /contact/resend-token](/api-reference/apis-en/proposal-flow/post-proposals-resend-token.md)                   | Resends the code via **SMS**      |
| [POST /contact/resend-token/whatsapp](/api-reference/apis-en/proposal-flow/post-proposals-resend-token-whatsapp.md) | Resends the code via **WhatsApp** |

{% hint style="success" %}
**Next Step**

Validate the received SMS token: [POST /proposals/{id}/contact/validate-token](/api-reference/apis-en/proposal-flow/post-proposals-validate-token.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bullcredtech.com/api-reference/apis-en/proposal-flow/post-proposals-contact.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
